> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy siêu dữ liệu vị trí CPMM bị khóa

> Lấy siêu dữ liệu cho một vị trí Constant Product Market Maker bị khóa. Trả về số lượng token LP, phần trăm chia sẻ pool và phí có thể yêu cầu từ khóa.




## OpenAPI

````yaml /vi/api-reference/openapi/dynamic-ipfs-v1.yaml get /lock/cpmm/position
openapi: 3.0.3
info:
  title: API IPFS Động
  description: >
    Tái tạo siêu dữ liệu và hình ảnh NFT động cho các vị trí CLMM. Được sử dụng
    bởi các dApps để lấy dữ liệu hình ảnh vị trí và định giá theo thời gian
    thực, bao gồm chi tiết pool, số tiền, phí và phần thưởng.


    Dịch vụ này lưu trữ siêu dữ liệu vị trí trong IPFS và cung cấp trạng thái vị
    trí được tính toán (giá trị USD, phần trăm TVL, phí chưa yêu cầu) theo ID vị
    trí. Hỗ trợ cả các vị trí mở khóa và bị khóa trên các loại pool CLMM và
    CPMM.
  version: 1.0.0
  contact:
    name: Raydium
    url: https://raydium.io
servers:
  - url: https://dynamic-ipfs.raydium.io
    description: Mainnet
  - url: https://dynamic-ipfs-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: CLMM Position
    description: Lấy siêu dữ liệu động cho các vị trí Concentrated Liquidity Market Maker
  - name: Locked Positions
    description: Lấy dữ liệu vị trí bị khóa (CLMM và CPMM)
paths:
  /lock/cpmm/position:
    get:
      tags:
        - Locked Positions
      summary: Lấy siêu dữ liệu vị trí CPMM bị khóa
      description: >
        Lấy siêu dữ liệu cho một vị trí Constant Product Market Maker bị khóa.
        Trả về số lượng token LP, phần trăm chia sẻ pool và phí có thể yêu cầu
        từ khóa.
      operationId: getLockedCpmmPosition
      parameters:
        - name: id
          in: query
          required: true
          description: Khóa công khai PDA vị trí CPMM bị khóa (base58)
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CPNFTInterface'
        '400':
          description: ID vị trí không hợp lệ hoặc chủ sở hữu không khớp
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: Không tìm thấy vị trí
          content:
            text/plain:
              schema:
                type: string
        '500':
          description: Lỗi máy chủ
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    CPNFTInterface:
      type: object
      description: Vị trí CPMM bị khóa hoàn chỉnh với chi tiết pool và định giá
      properties:
        poolInfo:
          $ref: '#/components/schemas/PoolInfoCPMM'
        positionInfo:
          $ref: '#/components/schemas/CPPositionInfo'
      required:
        - poolInfo
        - positionInfo
    PoolInfoCPMM:
      type: object
      description: Thông tin pool Constant Product Market Maker
      properties:
        id:
          type: string
        mintA:
          $ref: '#/components/schemas/MintInfo'
        mintB:
          $ref: '#/components/schemas/MintInfo'
        lpMint:
          $ref: '#/components/schemas/MintInfo'
        lpPrice:
          type: number
          description: Giá token LP tính bằng USD
    CPPositionInfo:
      type: object
      description: Trạng thái vị trí CPMM bị khóa
      properties:
        tvlPercentage:
          type: number
          description: Cổ phần pool dưới dạng phần trăm (0-100)
        usdValue:
          type: number
          description: Giá trị LP bị khóa tính bằng USD
        amountA:
          type: number
          description: Số lượng Token A cơ bản
        amountB:
          type: number
          description: Số lượng Token B cơ bản
        unclaimedFee:
          $ref: '#/components/schemas/CPUnclaimedFeeInfo'
      required:
        - tvlPercentage
        - usdValue
        - amountA
        - amountB
        - unclaimedFee
    MintInfo:
      type: object
      properties:
        address:
          type: string
          description: Địa chỉ mint token
        decimals:
          type: integer
          description: Số thập phân token
        symbol:
          type: string
          description: Ký hiệu token
    CPUnclaimedFeeInfo:
      type: object
      description: LP và phí có thể yêu cầu rút từ vị trí CPMM bị khóa
      properties:
        lp:
          type: number
          description: Số lượng LP có thể yêu cầu rút
        amountA:
          type: number
          description: Token A có thể yêu cầu rút
        amountB:
          type: number
          description: Token B có thể yêu cầu rút
        usdValue:
          type: number
          description: Giá trị có thể yêu cầu rút tính bằng USD

````